ubuntu16.04升级Python3.5到Python3.7的方法步骤

ubuntu16.04自带python有两个版本,一个2版本,使用的是python;另一个是3版本,使用的是python3。

简易安装python后得到的3版本的版本号是python3.5。

可以使用下面的命令查看py版本:

python3 --version

因为版本内容/接口等的不同,需要将其升级到更高的版本操作如下:

1、安装Python3.7

sudo apt-get install python3.7

2、为了方便使用,建议创建软连接

首先把之前的软连接删除:

sudo rm -rf /usr/bin/python3
sudo rm -rf /usr/bin/pip3

查看Python3.7安装路径:

which python3.7
#假设返回路径为path

然后创建新的软连接:

#添加python3的软链接
sudo ln -s Python3.7安装路径/python3.7 /usr/bin/python3
#添加 pip3 的软链接
sudo ln -s Python3.7安装路径/pip3.7 /usr/bin/pip3
#测试是否安装成功了
python3 --version

这种方法也可以修改默认Python指向的Python版本

到此这篇关于ubuntu16.04升级Python3.5到Python3.7的方法步骤的文章就介绍到这了,更多相关Python3.5升级到Python3.7内容请搜索我们以前的文章或继续浏览下面的相关文章希望大家以后多多支持我们!

时间: 2020-08-20

Ubuntu下升级 python3.7.1流程备忘(推荐)

下载源码 wget https://www.python.org/ftp/python/3.7.1/Python-3.7.1.tgz 解压源码 tar -xvzf Python-3.7.1.tgz 进入目录 cd Python-3.7.1 配置安装路径 ./configure --with-ssl --prefix=/usr/local/python3 安装python3.7.1依赖 #sudo apt-get update #sudo apt-get upgrade #sudo apt-get

完美解决python3.7 pip升级 拒绝访问问题

python3.7 pip升级 拒绝访问 解决方案 pip install --upgrade pip --user ps:下面看下python中的for循环加强 #先执行外面for循环,再执行里面for循环,接着执行外面for循环,程序结束 #打印结果为1,10,2 flag=False for i in range(1,10): print(i) if flag: break for i in range(10,20): print(i) flag=True break 总结 以上所述是小编

ubuntu 16.04系统完美解决pip不能升级的问题

原来环境:64位ubuntu 16.04 LTS系统,pip版本为8 问题:使用提示命令pip install –upgrade pip也无法解决升级  解决方法:源码安装pip-9.0.1 1 从pip官网下载压缩包pip-9.0.1.tar.gz 2 解压安装   3 查看pip版本,发现使用的是9.0.1版本 总结 以上所述是小编给大家介绍的ubuntu 16.04系统完美解决pip不能升级的问题,希望对大家有所帮助,如果大家有任何疑问请给我留言,小编会及时回复大家的.在此也非常感谢大家对

Centos 升级到python3后pip 无法使用的解决方法

一. 问题 [root@localhost local]# pip -bash: pip: command not found pip无法使用. 二. 系统环境 Centos 6.6 Python 3.5.2 三. 解决方法 设置软连接. 1.查找pip所在位置 [root@xxx local]# find / -name "pip" /Python-3.5.2/Tools/msi/pip /usr/bin/pip /usr/local/python3.5.2/bin/pip /usr

完美解决Could not load file or assembly AjaxPro.2 or one of its dependencies. 拒绝访问。 原创

Server Error in '/' Application.  -------------------------------------------------------------------------------- Could not load file or assembly 'AjaxPro.2' or one of its dependencies. 拒绝访问.  Description: An unhandled exception occurred during the 

HTTP 错误 403.1禁止访问:禁止执行访问的完美解决方法

HTTP 错误 403.1 - 禁止访问:执行访问被拒绝. 解决方法该页无法显示 您试图从目录中执行 CGI.ISAPI 或其他可执行程序,但该目录不允许执行程序. 请尝试以下操作: 如果您认为该目录应该允许执行访问权限,请与网站管理员联系. HTTP 错误 403.1 - 禁止访问:执行访问被拒绝. 技术信息(为技术支持人员提供) 转到 Microsoft 产品支持服务并搜索包括"HTTP"和"403"的标题. 打开"IIS 帮助"(可在 II

完美解决安装完tensorflow后pip无法使用的问题

Win8,ANACONDA3(64-bit),Python3.6.2.ANACONDA Prompt中不能用pip命令安装包,并且是在安装了TensorFlow后才发生的. 报错如下: F:\360Downloads>pip install --upgrade pip Exception: Traceback (most recent call last): File "E:\tools\anaconda\py3\lib\site-packages\pip\basecommand.py&q

多版本python的pip 升级后, pip2 pip3 与python版本失配解决方法

mint19.2   本来pip 和 pip2 对应 python2.7   pip3对应python3.6 用源码安装了python3.7之后. 这样 版本也没问题. 但是,  用pip3.7 安装包的时候 提示 pip需要升级,  但是一旦升级, 就不对了 pip  pip2 pip3 都指向了pip3.7 这导致一系列问题. 包pgadmin4 启动后报 csrf 错误 , 甚至进而导致docker-compose模式下postgres服务下线! 而且,无法用重装python-pip, p

完美解决beego 根目录不能访问静态文件的问题

beego可算是Go框架里面文档最多的了.学起来比较容易.但是框架自身的局限性却带了不小的问题. 最近我在处理flash跨域问题上就遇到个活生生的例子: flash里面的as3访问外网时没啥问题.可是假如通过网页调取的情况下,flash访问的外网又与所在网页不是一个域的.就会产生跨域问题.打开浏览器,f12之后,看到的就是flash没有访问你的url,而是访问了这个url所在的域名根目录下的配置文件crossdomain.xml.该配置文件来设置跨域访问的权限. 这时候需要在你的域名根目录下放个

解决SQL SERVER数据库备份时出现“操作系统错误5(拒绝访问)。BACKUP DATABASE 正在异常终止。”错误的解决办法

SQL SERVER数据库进行备份时出现"操作系统错误5(拒绝访问).BACKUP DATABASE 正在异常终止."错误.我们应该如何解决这个问题?小编今天为大家推荐一个解决办法. 一般备份文件选择的目录为磁盘根目录或备份所选分区未授予sqlserver用户读写权限时会出现此错误. 解决办法就是给sqlserver用户授予权限: 选择要备份的文件夹 ,右键-->属性-->安全-->看下"组或用户"是否包涵Authenticated Users 这

cscript adsutil.vbs 设置iis参数提示拒绝访问的解决方法

通过cmd下直接运行cscript就提示拒绝访问,因为通过我们安全设置的机器,都是做了安全设置的,很多程序都是禁止运行的,找到问题到,到c盘搜索cscript.exe右键 属性 权限 将everyone的限制权限取消即可 一切正常,gzip就完美的成功了 win2003下让IIS6启用GZIP压缩的脚本(bat+vbs实现)http://www.jb51.net/softs/32589.html